# $Revision: 1.6.2.1 $, $Date: 2003/03/13 00:57:42 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	IO
%define	pnam	Multiplex
Summary:	IO::Multiplex - Manage IO on many file handles
Summary(pl):	IO::Multiplex - zarzdzanie operacjami we/wy na wielu uchwytach plikw
Name:		perl-IO-Multiplex
Version:	1.04
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IO::Multiplex is designed to take the effort out of managing multiple
file handles. It is essentially a really fancy front end to the select
system call. In addition to maintaining the select loop, it buffers
all input and output to/from the file handles. It can also accept
incoming connections on one or more listen sockets.

%description -l pl
Modu IO::Multiplex zosta zaprojektowany jako prba zarzdzania
wieloma uchwytami plikw. Jest przede wszystkim naprawd fantazyjnym
frontendem do wywoania systemowego select. Oprcz zarzdzania ptl
wywoa select, buforuje cae wejcie i wyjcie do/z uchwytw plikw.
Moe take akceptowa przychodzce poczenia z jednego lub wicej
nasuchujcych gniazd.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_sitelib}/IO/Multiplex.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-IO-Multiplex.spec,v $
Revision 1.6.2.1  2003/03/13 00:57:42  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.6  2003/02/25 00:39:26  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:33:29  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/11/28 18:06:52  mis
- autoupdated to 1.04

Revision 1.3  2002/09/10 21:26:52  qboosh
- pl description, release 3

Revision 1.2  2002/09/06 19:20:00  radek
- it's *not* on GPL
- it's *not* the IO::Cat
- added TODO, enabled tests, release 2

Revision 1.1  2002/09/05 18:23:20  baggins
- initial revision, done
